Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.faces.component.html
Enum HtmlCommandButton.PropertyKeys

    java.lang.Object
      java.lang.Enum<HtmlCommandButton.PropertyKeys>
          javax.faces.component.html.HtmlCommandButton.PropertyKeys

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HtmlCommandButton.PropertyKeys>

Enclosing class:
  HtmlCommandButton

    protected static enum HtmlCommandButton.PropertyKeys

extends java.lang.Enum<HtmlCommandButton.PropertyKeys>

Enum Constant Summary
`accesskey`
`alt`
`dir`
`disabled`
`image`
`label`
`lang`
`onblur`
`onchange`
`onclick`
`ondblclick`
`onfocus`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`onselect`
`readonly`
`style`
`styleClass`
`tabindex`
`title`
`type`

Method Summary
`java.lang.String` | `toString()`
`static HtmlCommandButton.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HtmlCommandButton.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### accesskey

    public static final HtmlCommandButton.PropertyKeys accesskey

### alt

    public static final HtmlCommandButton.PropertyKeys alt

### dir

    public static final HtmlCommandButton.PropertyKeys dir

### disabled

    public static final HtmlCommandButton.PropertyKeys disabled

### image

    public static final HtmlCommandButton.PropertyKeys image

### label

    public static final HtmlCommandButton.PropertyKeys label

### lang

    public static final HtmlCommandButton.PropertyKeys lang

### onblur

    public static final HtmlCommandButton.PropertyKeys onblur

### onchange

    public static final HtmlCommandButton.PropertyKeys onchange

### onclick

    public static final HtmlCommandButton.PropertyKeys onclick

### ondblclick

    public static final HtmlCommandButton.PropertyKeys ondblclick

### onfocus

    public static final HtmlCommandButton.PropertyKeys onfocus

### onkeydown

    public static final HtmlCommandButton.PropertyKeys onkeydown

### onkeypress

    public static final HtmlCommandButton.PropertyKeys onkeypress

### onkeyup

    public static final HtmlCommandButton.PropertyKeys onkeyup

### onmousedown

    public static final HtmlCommandButton.PropertyKeys onmousedown

### onmousemove

    public static final HtmlCommandButton.PropertyKeys onmousemove

### onmouseout

    public static final HtmlCommandButton.PropertyKeys onmouseout

### onmouseover

    public static final HtmlCommandButton.PropertyKeys onmouseover

### onmouseup

    public static final HtmlCommandButton.PropertyKeys onmouseup

### onselect

    public static final HtmlCommandButton.PropertyKeys onselect

### readonly

    public static final HtmlCommandButton.PropertyKeys readonly

### style

    public static final HtmlCommandButton.PropertyKeys style

### styleClass

    public static final HtmlCommandButton.PropertyKeys styleClass

### tabindex

    public static final HtmlCommandButton.PropertyKeys tabindex

### title

    public static final HtmlCommandButton.PropertyKeys title

### type

    public static final HtmlCommandButton.PropertyKeys type

Method Detail

### values

    public static HtmlCommandButton.PropertyKeys[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlCommandButton.PropertyKeys c : HtmlCommandButton.PropertyKeys.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlCommandButton.PropertyKeys valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<HtmlCommandButton.PropertyKeys>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.